Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.nameWatch
Class EPPNameWatchInfoCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPInfoCmd
              com.verisign.epp.codec.nameWatch.EPPNameWatchInfoCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPNameWatchInfoCmd

extends EPPInfoCmd

Represents an EPP NameWatch <info> command that is used to retrieve information associated with a nameWatch. The <nameWatch:info> element MUST contain the following child elements:

- A <nameWatch:roid> element that contains the fully qualified nameWatch name for which information is requested. Use `getRoid` and `setRoid` to get and set the element.

`EPPNameWatchInfoResp` is the concrete `EPPReponse` associated with `EPPNameWatchInfoCmd`.

Version:
  $Revision: 1.1.1.1 $
Author:
  $Author: jim $
See Also:
  `EPPNameWatchInfoResp`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPNameWatchInfoCmd()` `EPPNameWatchInfoCmd` default constructor.
`EPPNameWatchInfoCmd(java.lang.String aTransId, java.lang.String aRoid)` `EPPNameWatchInfoCmd` constructor that takes the nameWatch roid as an argument.
`EPPNameWatchInfoCmd(java.lang.String aTransId, java.lang.String aRoid, EPPAuthInfo aAuthInfo)` `EPPNameWatchInfoCmd` constructor that takes the roid and authinfo of the NameWatch object.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPNameWatchInfoCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPNameWatchInfoCmd` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameWatchInfoCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameWatchInfoCmd` with this instance.
`EPPAuthInfo` | `getAuthInfo()` Get authorization information
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPNameWatchInfoCmd`.
`java.lang.String` | `getRoid()` Gets the nameWatch roid
`void` | `setAuthInfo(EPPAuthInfo aAuthInfo)` Set authorization information
`void` | `setRoid(java.lang.String aRoid)` Sets the nameWatch roid
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPNameWatchInfoCmd

    public EPPNameWatchInfoCmd()

  `EPPNameWatchInfoCmd` default constructor. The roid is initialized to `null`. The roid must be set before invoking `encode`.

### EPPNameWatchInfoCmd

    public EPPNameWatchInfoCmd(java.lang.String aTransId,
                               java.lang.String aRoid)

  `EPPNameWatchInfoCmd` constructor that takes the nameWatch roid as an argument.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aRoid` - NameWatch roid to get information on.

### EPPNameWatchInfoCmd

    public EPPNameWatchInfoCmd(java.lang.String aTransId,
                               java.lang.String aRoid,
                               EPPAuthInfo aAuthInfo)

  `EPPNameWatchInfoCmd` constructor that takes the roid and authinfo of the NameWatch object.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aRoid` - NameWatch roid to get information on.
    `aAuthInfo` - Authorization info for the NameWatch object

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPNameWatchInfoCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPNameWatchMapFactory.NS`

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPNameWatchInfoCmd` instance.

  Specified by:
    `doEncode` in class `EPPInfoCmd`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPNameWatchInfoCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPNameWatchInfoCmd` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPNameWatchInfoCmd` attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPInfoCmd`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPNameWatchInfoCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### getRoid

    public java.lang.String getRoid()

  Gets the nameWatch roid

  Returns:
    NameWatch roid

### setRoid

    public void setRoid(java.lang.String aRoid)

  Sets the nameWatch roid

  Parameters:
    `aRoid` - NameWatch roid

### getAuthInfo

    public EPPAuthInfo getAuthInfo()

  Get authorization information

  Returns:
    Authorization information if defined; `null` otherwise;

### setAuthInfo

    public void setAuthInfo(EPPAuthInfo aAuthInfo)

  Set authorization information

  Parameters:
    `aAuthInfo` - EPPAuthInfo

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPNameWatchInfoCmd` with this instance.

  Overrides:
    `equals` in class `EPPInfoCmd`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPNameWatchInfoCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPNameWatchInfoCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.